Angular and Ionic Rating
Rating for Angular and Ionic Framework
Rating for Angular and Ionic Framework
Rating for Angular and Ionic Framework
Rating - Basic usage
Rating - Text description
Rating - Grades
@Component({
selector: 'demo-app',
templateUrl: './app.component.html'
})
export class AppComponent {
ratingSettings: any = {
theme: ' ',
themeVariant: ' ',
lang: ' ',
style: 'grade',
label: 'Rating'
};
}
<input [(ngModel)]="myRating" mbsc-rating [mbsc-options]="ratingSettings" placeholder="Please Select ..." >
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule,
MbscModule,
FormsModule,
ReactiveFormsModule,
HttpClientModule,
HttpClientJsonpModule
],
bootstrap: [AppComponent]
})
export class AppModule { }
Rating - Grades with text
Rating - Customizing options
Rating - Custom colors
Rating - Custom Icons
Rating - Slider
Rating - Score slider
Rating - Event handlers
EVENTS FIRED:
Rating - Display modes
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
What framework are you using?
Introducing the next generation of Mobiscroll
The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.
We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.
- Redesigned event calendar, scheduler with drag & drop
- A new way of working with recurring events
- Updated themes with dynamic dark mode
- New date & time pickers
- Range picker with advanced customization
- Dynamic options with global updates
We have to set you up with a trial for this to run 👍
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
You will be prompted to log in with your mobiscroll account. Set your password here
Run this command for Ionic 5 & React Mobiscroll starter:
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Enter a new password and hit the button below to change it!
You are setting a password for the account
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍

React Rating
Rating for React
Rating for React
Rating for React
Rating - Basic usage
// Code not available for React
<!-- Code not available for React -->
/* Code not available for React */
Rating - Text description
Rating - Grades
var RatingDemo = React.createClass({
getInitialState: function() {
return {
option: {
style: "grade"
}
};
},
render: function() {
return (
<div>
<mobiscroll.Rating
ref="rating"
theme=" "
themeVariant=" "
lang=" "
options={this.state.option}
label="Rating"
placeholder="Please Select..."
/>
</div>
);
}
});
<div id="content">
Rating - Grades with text
Rating - Customizing options
Rating - Custom colors
Rating - Custom Icons
Rating - Slider
Rating - Score slider
Rating - Event handlers
EVENTS FIRED:
Rating - Display modes
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
What framework are you using?
Introducing the next generation of Mobiscroll
The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.
We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.
- Redesigned event calendar, scheduler with drag & drop
- A new way of working with recurring events
- Updated themes with dynamic dark mode
- New date & time pickers
- Range picker with advanced customization
- Dynamic options with global updates
We have to set you up with a trial for this to run 👍
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
You will be prompted to log in with your mobiscroll account. Set your password here
Run this command for Ionic 5 & React Mobiscroll starter:
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Enter a new password and hit the button below to change it!
You are setting a password for the account
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍